Skip to content

Accumulate

POST /accumulate

Accumulate

Authorization

Send Authorization: <Twitch Extension Client ID> <Muxy JWT>. The JWT role must satisfy the endpoint requirements shown in the examples.

Parameters

Name In Required Type Constraints Description
id query no string default "default" The name of the accumulation buffer to which to write data.

Request body

Content type: application/json

Schema

{
  "type": "object",
  "description": "Complete JSON value to store or submit.",
  "additionalProperties": true
}

Example

{
  "next_game": "Day of the Tentacle"
}

Responses

200 Response

Write accepted. The current service returns an empty JSON object.

Content type: application/json

Schema
{
  "type": "object",
  "maxProperties": 0
}
Example
{}

400 Error

400

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "400"
}

Examples

Curl

curl --request POST \
  --url https://api.muxy.io/v1/e/accumulate \
  --header 'authorization: <Client ID> <any JWT>' \
  --header 'content-type: application/json' \
  --data '{ "next_game": "Day of the Tentacle" }'

Generated API reference

This endpoint is generated from rest-v1.yaml.